### Method

# Ggit Patch to_stream

#### Declaration [src]

    gboolean
    ggit_patch_to_stream (
      GgitPatch* patch,
      GOutputStream* stream,
      GError** error
    )

#### Description [src]

Write the contents of a patch to the provided stream.

#### Parameters

`stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the patch was written successfully, `FALSE` otherwise.